## `uploader`: загружает файлы в IPFS

Использует:
- python3
- uvicorn ASGI -> WSGI
- starlette ASGI server
- boto3 s3 client
- авторизацию через заголовок запроса

#### Переменные среды

 - STORJ_ACCESS_KEY
 - STORJ_SECRET_KEY
 - STORJ_END_POINT
 - STORJ_BUCKET_NAME
 - CDN_DOMAIN
 - AUTH_URL

### Локальная разработка

```shell
mkdir .venv
python3.12 -m venv .venv
poetry env use .venv/bin/python3.12
poetry update
poetry run python server.py
```
### Интеграция в Core  

Добавить в nginx.conf.sigil ссылку на /upload  
```
# Custom location block for /upload
location /connect/ {
    http://upload-8080/;
    {{ $proxy_settings }}
    {{ $gzip_settings }}
    {{ $cors_headers_options }}
    {{ $cors_headers_post }}
    {{ $cors_headers_get }}
}
```
при такой структуре ссылка будет core.domain.com/upload  